### Hierarchy

- TinyYolov2Base
  - TinyFaceDetector

## Index

### Constructors

- constructor

### Properties

- _name
- DEFAULT_FILTER_SIZES

### Accessors

- anchors
- boxEncodingSize
- config
- isLoaded
- paramMappings
- params
- withClassScores

### Methods

- detect
- dispose
- extractWeights
- forward
- forwardInput
- freeze
- getFrozenParams
- getParamFromPath
- getParamList
- getTrainableParams
- load
- loadFromDisk
- loadFromUri
- loadFromWeightMap
- locateFaces
- reassignParamFromPath
- runMobilenet
- runTinyYolov2
- serializeParams
- variable

## Constructors

### constructor

- new TinyFaceDetector(): TinyFaceDetector

- Overrides TinyYolov2Base.constructor

  - Defined in tinyFaceDetector/TinyFaceDetector.ts:11

  #### Returns TinyFaceDetector

## Properties

### _name

_name: any

Inherited from TinyYolov2Base._name

- Defined in NeuralNetwork.ts:17

### Static DEFAULT_FILTER_SIZES

DEFAULT_FILTER_SIZES: number[] = ...

Inherited from TinyYolov2Base.DEFAULT_FILTER_SIZES

- Defined in tinyYolov2/TinyYolov2Base.ts:25

## Accessors

### anchors

- get anchors(): Point[]

- - Defined in tinyFaceDetector/TinyFaceDetector.ts:26

  #### Returns Point[]

### boxEncodingSize

- get boxEncodingSize(): number

- - Defined in tinyYolov2/TinyYolov2Base.ts:43

  #### Returns number

### config

- get config(): TinyYolov2Config

- - Defined in tinyYolov2/TinyYolov2Base.ts:35

  #### Returns TinyYolov2Config

### isLoaded

- get isLoaded(): boolean

- - Defined in NeuralNetwork.ts:23

  #### Returns boolean

### paramMappings

- get paramMappings(): ParamMapping[]

- - Defined in NeuralNetwork.ts:21

  #### Returns ParamMapping[]

### params

- get params(): undefined | TNetParams

- - Defined in NeuralNetwork.ts:19

  #### Returns undefined | TNetParams

### withClassScores

- get withClassScores(): boolean

- - Defined in tinyYolov2/TinyYolov2Base.ts:39

  #### Returns boolean

## Methods

### detect

- detect(input: any, forwardParams?: ITinyYolov2Options): Promise<ObjectDetection[]>

- Inherited from TinyYolov2Base.detect

  - Defined in tinyYolov2/TinyYolov2Base.ts:108

  #### Parameters

  - ##### input: any

  - ##### forwardParams: ITinyYolov2Options = {}

  #### Returns Promise<ObjectDetection[]>

### dispose

- dispose(throwOnRedispose?: boolean): void

- Inherited from TinyYolov2Base.dispose

  - Defined in NeuralNetwork.ts:65

  #### Parameters

  - ##### throwOnRedispose: boolean = true

  #### Returns void

### extractWeights

- extractWeights(weights: Float32Array): void

- Inherited from TinyYolov2Base.extractWeights

  - Defined in NeuralNetwork.ts:118

  #### Parameters

  - ##### weights: Float32Array

  #### Returns void

### forward

- forward(input: any, inputSize: number): Promise<any>

- Inherited from TinyYolov2Base.forward

  - Defined in tinyYolov2/TinyYolov2Base.ts:104

  #### Parameters

  - ##### input: any

  - ##### inputSize: number

  #### Returns Promise<any>

### forwardInput

- forwardInput(input: NetInput, inputSize: number): any

- Inherited from TinyYolov2Base.forwardInput

  - Defined in tinyYolov2/TinyYolov2Base.ts:85

  #### Parameters

  - ##### input: NetInput

  - ##### inputSize: number

  #### Returns any

### freeze

- freeze(): void

- Inherited from TinyYolov2Base.freeze

  - Defined in NeuralNetwork.ts:57

  #### Returns void

### getFrozenParams

- getFrozenParams(): { path: string; tensor: any }[]

- Inherited from TinyYolov2Base.getFrozenParams

  - Defined in NeuralNetwork.ts:47

  #### Returns { path: string; tensor: any }[]

### getParamFromPath

- getParamFromPath(paramPath: string): any

- Inherited from TinyYolov2Base.getParamFromPath

  - Defined in NeuralNetwork.ts:25

  #### Parameters

  - ##### paramPath: string

  #### Returns any

### getParamList

- getParamList(): { path: string; tensor: any }[]

- Inherited from TinyYolov2Base.getParamList

  - Defined in NeuralNetwork.ts:36

  #### Returns { path: string; tensor: any }[]

### getTrainableParams

- getTrainableParams(): { path: string; tensor: any }[]

- Inherited from TinyYolov2Base.getTrainableParams

  - Defined in NeuralNetwork.ts:43

  #### Returns { path: string; tensor: any }[]

### load

- load(weightsOrUrl: undefined | string | Float32Array): Promise<void>

- Inherited from TinyYolov2Base.load

  - Defined in NeuralNetwork.ts:83

  #### Parameters

  - ##### weightsOrUrl: undefined | string | Float32Array

  #### Returns Promise<void>

### loadFromDisk

- loadFromDisk(filePath: undefined | string): Promise<void>

- Inherited from TinyYolov2Base.loadFromDisk

  - Defined in NeuralNetwork.ts:99

  #### Parameters

  - ##### filePath: undefined | string

  #### Returns Promise<void>

### loadFromUri

- loadFromUri(uri: undefined | string): Promise<void>

- Inherited from TinyYolov2Base.loadFromUri

  - Defined in NeuralNetwork.ts:91

  #### Parameters

  - ##### uri: undefined | string

  #### Returns Promise<void>

### loadFromWeightMap

- loadFromWeightMap(weightMap: any): void

- Inherited from TinyYolov2Base.loadFromWeightMap

  - Defined in NeuralNetwork.ts:112

  #### Parameters

  - ##### weightMap: any

  #### Returns void

### locateFaces

- locateFaces(input: any, forwardParams: ITinyYolov2Options): Promise<FaceDetection[]>

- - Defined in tinyFaceDetector/TinyFaceDetector.ts:30

  #### Parameters

  - ##### input: any

  - ##### forwardParams: ITinyYolov2Options

  #### Returns Promise<FaceDetection[]>

### reassignParamFromPath

- reassignParamFromPath(paramPath: string, tensor: any): void

- Inherited from TinyYolov2Base.reassignParamFromPath

  - Defined in NeuralNetwork.ts:30

  #### Parameters

  - ##### paramPath: string

  - ##### tensor: any

  #### Returns void

### runMobilenet

- runMobilenet(x: any, params: MobilenetParams): any

- Inherited from TinyYolov2Base.runMobilenet

  - Defined in tinyYolov2/TinyYolov2Base.ts:65

  #### Parameters

  - ##### x: any

  - ##### params: MobilenetParams

  #### Returns any

### runTinyYolov2

- runTinyYolov2(x: any, params: DefaultTinyYolov2NetParams): any

- Inherited from TinyYolov2Base.runTinyYolov2

  - Defined in tinyYolov2/TinyYolov2Base.ts:47

  #### Parameters

  - ##### x: any

  - ##### params: DefaultTinyYolov2NetParams

  #### Returns any

### serializeParams

- serializeParams(): Float32Array

- Inherited from TinyYolov2Base.serializeParams

  - Defined in NeuralNetwork.ts:75

  #### Returns Float32Array

### variable

- variable(): void

- Inherited from TinyYolov2Base.variable

  - Defined in NeuralNetwork.ts:51

  #### Returns void